This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1258785 - gdeploy: config file is case-sensitive
gdeploy: config file is case-sensitive
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: core (Show other bugs)
3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nandaja Varma
Anush Shetty
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-01 05:42 EDT by Anush Shetty
Modified: 2016-09-17 10:39 EDT (History)
4 users (show)

See Also:
Fixed In Version: gdeploy-1.0-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-01 09:26:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2015-09-01 05:42:34 EDT
Description of problem: gdeploy config file is case-sensitive, and expects the header/option names to be in lower-case. It would be good to have the header/option names case insensitive.

Eg: if the volume information is provided under [VOLUME] (instead of [volume]) in the config file, the run ignores the the values provided under this section. 


Version-Release number of selected component (if applicable): gdeploy-1.0-6.el7rhgs.noarch


How reproducible:  Always
Comment 2 Nandaja Varma 2015-09-01 09:26:46 EDT
This is a limitation of the python module config parser. Cannot help it.
We don't consider this as an issue. Expected behavior. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.